## bluetooth-enums

bluetooth-enums — Bluetooth related enumerations

## Stability Level

Stable, unless otherwise indicated

## Types and Values

#define | BLUETOOTH_TYPE_AUDIO
#define | BLUETOOTH_TYPE_INPUT
enum | BluetoothCategory
enum | BluetoothColumn
enum | BluetoothStatus
enum | BluetoothType

## Object Hierarchy

        GEnum
        ├── BluetoothCategory
        ├── BluetoothColumn
        ╰── BluetoothStatus
        GFlags
        ╰── BluetoothType

## Includes

    #include <bluetooth-enums.h>

## Description

Enumerations related to Bluetooth.

## Functions

## Types and Values

### BLUETOOTH_TYPE_AUDIO

    #define BLUETOOTH_TYPE_AUDIO (BLUETOOTH_TYPE_HEADSET | BLUETOOTH_TYPE_HEADPHONES | BLUETOOTH_TYPE_OTHER_AUDIO | BLUETOOTH_TYPE_SPEAKERS)

Use this value to select any Bluetooth audio device where a BluetoothType enum is required.

### BLUETOOTH_TYPE_INPUT

    #define BLUETOOTH_TYPE_INPUT (BLUETOOTH_TYPE_KEYBOARD | BLUETOOTH_TYPE_MOUSE | BLUETOOTH_TYPE_TABLET | BLUETOOTH_TYPE_JOYPAD)

Use this value to select any Bluetooth input device where a BluetoothType enum is required.

### enum BluetoothCategory

The category of a Bluetooth devices.

#### Members

BLUETOOTH_CATEGORY_ALL | all devices |
BLUETOOTH_CATEGORY_PAIRED | paired devices |
BLUETOOTH_CATEGORY_TRUSTED | trusted devices |
BLUETOOTH_CATEGORY_NOT_PAIRED_OR_TRUSTED | neither paired, nor trusted devices |
BLUETOOTH_CATEGORY_PAIRED_OR_TRUSTED | paired and/or trusted devices |

### enum BluetoothColumn

A column identifier to pass to `bluetooth_chooser_get_selected_device_info()`.

#### Members

BLUETOOTH_COLUMN_PROXY | a GDBusProxy object |
BLUETOOTH_COLUMN_PROPERTIES | Used to be GDBusProxy object for DBus.Properties, now always `NULL` |
BLUETOOTH_COLUMN_ADDRESS | a string representing a Bluetooth address |
BLUETOOTH_COLUMN_ALIAS | a string to use for display (the name of the device, or its address if the name is not known). Only available for devices. |
BLUETOOTH_COLUMN_NAME | a string representing the device or adapter's name |
BLUETOOTH_COLUMN_TYPE | the BluetoothType of the device. Only available for devices. |
BLUETOOTH_COLUMN_ICON | a string representing the icon name for the device. Only available for devices. |
BLUETOOTH_COLUMN_DEFAULT | whether the adapter is the default one. Only available for adapters. |
BLUETOOTH_COLUMN_PAIRED | whether the device is paired to its parent adapter. Only available for devices. |
BLUETOOTH_COLUMN_TRUSTED | whether the device is trusted. Only available for devices. |
BLUETOOTH_COLUMN_CONNECTED | whether the device is connected. Only available for devices. |
BLUETOOTH_COLUMN_DISCOVERABLE | whether the adapter is discoverable/visible. Only available for adapters. |
BLUETOOTH_COLUMN_DISCOVERING | whether the adapter is discovering. Only available for adapters. |
BLUETOOTH_COLUMN_LEGACYPAIRING | whether the device does not support Bluetooth 2.1 Simple Secure Pairing. Only available for devices. |
BLUETOOTH_COLUMN_POWERED | whether the adapter is powered. Only available for adapters. |
BLUETOOTH_COLUMN_SERVICES | an array of service names and BluetoothStatus connection statuses. |
BLUETOOTH_COLUMN_UUIDS | a string array of human-readable UUIDs. |

### enum BluetoothStatus

The connection status of a service on a particular device. Note that `BLUETOOTH_STATUS_CONNECTING` and `BLUETOOTH_STATUS_PLAYING` might not be available for all services.

#### Members

BLUETOOTH_STATUS_INVALID | whether the status has been set yet |
BLUETOOTH_STATUS_DISCONNECTED | whether the service is disconnected |
BLUETOOTH_STATUS_CONNECTED | whether the service is connected |
BLUETOOTH_STATUS_CONNECTING | whether the service is connecting |
BLUETOOTH_STATUS_PLAYING | whether the service is playing (only used by the audio service) |

### enum BluetoothType

The type of a Bluetooth device. See also `BLUETOOTH_TYPE_INPUT` and `BLUETOOTH_TYPE_AUDIO`

#### Members

BLUETOOTH_TYPE_ANY | any device, or a device of an unknown type |
BLUETOOTH_TYPE_PHONE | a telephone (usually a cell/mobile phone) |
BLUETOOTH_TYPE_MODEM | a modem |
BLUETOOTH_TYPE_COMPUTER | a computer, can be a laptop, a wearable computer, etc. |
BLUETOOTH_TYPE_NETWORK | a network device, such as a router |
BLUETOOTH_TYPE_HEADSET | a headset (usually a hands-free device) |
BLUETOOTH_TYPE_HEADPHONES | headphones (covers two ears) |
BLUETOOTH_TYPE_OTHER_AUDIO | another type of audio device |
BLUETOOTH_TYPE_KEYBOARD | a keyboard |
BLUETOOTH_TYPE_MOUSE | a mouse |
BLUETOOTH_TYPE_CAMERA | a camera (still or moving) |
BLUETOOTH_TYPE_PRINTER | a printer |
BLUETOOTH_TYPE_JOYPAD | a joypad, joystick, or other game controller |
BLUETOOTH_TYPE_TABLET | a drawing tablet |
BLUETOOTH_TYPE_VIDEO | a video device, such as a webcam |
BLUETOOTH_TYPE_REMOTE_CONTROL | a remote control |
BLUETOOTH_TYPE_SCANNER | a scanner |
BLUETOOTH_TYPE_DISPLAY | a display |
BLUETOOTH_TYPE_WEARABLE | a wearable computer |
BLUETOOTH_TYPE_TOY | a toy or game |
BLUETOOTH_TYPE_SPEAKERS | audio speaker or speakers |